# $Id: smeserver-lazy_admin_tools.spec,v 1.3 2013/02/02 18:40:39 unnilennium Exp $
# Authority: nocvs
# Name: Michiel Blotwijk

Summary: Lazy Admin's Tools is a set of scripts to automate admin tasks
%define name smeserver-lazy_admin_tools
%define version 0.9.1
%define release 4%{?dist}
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-lazy_admin_tools-0.9.1-2-userid_length-pptp_create.patch
License: (c)2003-2004 Altiplano bvba, published under the GPL License
Group: Networking/Tools
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base
Requires:  SMEServer >= 7.0
Obsoletes: e-smith-lazy_admin_tools
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
The Lazy Administrator's Tools is a set of scripts designed to automate
batch tasks and jobs for E-Smith/SME servers.
    * lat-user       : add/delete users
    * lat-group      : add/delete groups
    * lat pseudonyms : add/delete e-mail pseudonyms for individual users
    * lat-ibays      : add/delete ibays
    * lat-quota      : set the disk quota for individual users
    * lat-domains    : add domainnames the server
    * lat-hosts      : add hostnames to the server
    * lat-procmail   : activate or deactivate procmail for individual users
    * lat-pptp       : activate or deactivate pptp access for individual users
    * lat-dump       : create input files for the above lat-tools, based on the
                       configuration files of the SME servers.

See man lat-tools for general help on the usage of the toolkit, or run the
command with the --help switch to get specific help.

%changelog
* Sat Feb 02 2013 JP PIALASSE tests@pialasse.com  0.9.1-4.sme
- binary are not executable [SME: 7283]

* Sun Oct 22 2006 John H. Bennett III <bennettj@johnbennettservices> 0.9.1-2
- Modified lat-users code so that userids can be created with up to 31 characters to match SME 7.
- Modified lat-pptp code so that SME Server 7 is recogninzed and will set the correct DB entries.
  The other code needs to be removed.

* Mon Aug 07 2006 John H. Bennett III <bennettj@johnbennettservices> 0.9.1-1
- renamed to smeserver-lazy_admin_tools to conform to SME Server 7.x contribs naming standards
* Thu Feb 09 2006 John H. Bennett III <bennettj@thebennetthome.com>
- 0.9.1
- Modified each lat- file and changed /home/e-smith/xxx to /home/e-smith/db/xxx
  so it would at least work on sme 7.0
- added a requires SMEServer >= 7.0
- Bumped version and re-rolled RPM

* Thu Feb 12 2004 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
- 0.8.3
- On SME 5.x, lat-pptp did not turn on pptp. Fixed.
- Corrected man pages for lat-ibays

* Thu Jan 29 2004 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
- 0.8.2
- If host altiplano.be is not reachable, the ego meter causes problems. Fixed

* Fri Jan 22 2004 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
- 0.8.1
- First stable release for SME 6.x. Backwards compatibility to 5.5/5.6 ensured.
- A few minor cosmetic changes
- Added the "egometer" to the rpm.  See the %post section for details.

* Thu Jan 8 2004 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
- 0.8.0beta-1
- Updated the toolkit for SME 6.x
- Made lat-pptp compatible with both SME 5.x and SME 6.x
- Added a warning message to lat-restore with yes/no option.

* Thu Aug 12 2003 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
- 0.7.2-1
- Removed a silly bug from lat-pseudonyms that prevented it from doing anything.
- The --no-admin in lat-groups didn't work properly. Fixed.
- Only root can execute the lat-tools now. The manpages remain visible for
  everyone.

* Mon Jun 23 2003 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
- 0.7.1-1
- You can now also remove users from a group, using the -r switch
- You can now also create groups without 'admin' or 'www'. This avoids
  the SME limitation of 28 groups.
- lat-users created passwords, whether you asked for it or not. Fixed.

* Tue Jun 18 2003 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
- 0.7.0-1
- Added lat-dump.
- lat-users, lat-ibays and lat-groups now also accept a uid/gid. Because of
  this, the order of the arguments in lat-groups had to be changed!!
- In lat-ibays, 'public access' could not be defined as 'none'. Fixed.
- lat-pseudonyms and lat-groups didn't accept admin as user. Fixed.
- lat-domains didn't correctly link the domainnames to an i-bay. Fixed.
- Packaged lazy-admin-tools as rpm (thanks to Trevor Ouellette).
- Added man pages.

* Sat May 31 2003 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
- 0.6.0-4
- The lat-tools now also check /etc/passwd and /etc/groups for used uid/gid's
  This prevents the tools from failing if useradd or groupadd has been used.

* Wed May 28 2003 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
- 0.6.0-2
- Fixed bug in lat-groups, stopping it from adding more than one user.

* Tue May 27 2003 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
- 0.6.0
- Original release

%prep

%setup
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT  \
    --file '/usr/sbin/lat-domains' 'attr(755,root,root)'  \
    --file '/usr/sbin/lat-dump' 'attr(755,root,root)'  \
    --file /usr/sbin/lat-groups 'attr(755,root,root)'  \
    --file /usr/sbin/lat-hosts 'attr(755,root,root)'  \
    --file /usr/sbin/lat-ibays 'attr(755,root,root)'  \
    --file /usr/sbin/lat-pptp 'attr(755,root,root)'  \
    --file /usr/sbin/lat-procmail 'attr(755,root,root)'  \
    --file /usr/sbin/lat-pseudonyms 'attr(755,root,root)'  \
    --file /usr/sbin/lat-quota 'attr(755,root,root)'  \
    --file /usr/sbin/lat-restore 'attr(755,root,root)'  \
    --file /usr/sbin/lat-users 'attr(755,root,root)'  \
    > %{name}-%{version}-filelist



%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

